%define major		0
%define libname		%mklibname orange %major
%define develname	%mklibname orange -d
%define __libtoolize    /bin/true

Summary:	Tool to extract CAB files from installers
Name:		liborange
Version:	0.4
Release:	%mkrel 1
License:	MIT
Group:		Archiving/Other 
Source0:	http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
URL:		http://synce.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libdynamite-devel
BuildRequires:	libsynce-devel
BuildRequires:	unshield-devel
BuildRequires:	libgsf-devel

%description
Liborange is a tool and library to extract CAB files from self-
extracting installers.

%package -n orange
Summary:	Tool to extract CAB files from installers
Group:		Archiving/Other

%description -n orange
Orange is a tool to extract CAB files from self-extracting installers.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Liborange is a tool and library to extract CAB files from self-
extracting installers. This package contains the shared library.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	orange-devel < %{version}-%{release}
Obsoletes:	%{mklibname orange 0 -d} < %{version}-%{release}

%description -n %{develname}
Liborange is a tool and library to extract CAB files from self-
extracting installers. This package contains the development headers.

%prep
%setup -q

%build

%configure2_5x --with-libgsf

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n orange
%defattr(-,root,root)
%doc ChangeLog LICENSE TODO
%{_bindir}/*
%{_mandir}/man1/orange.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog LICENSE TODO
%{_includedir}/%{name}.h
%{_includedir}/%{name}_stub.h

%{_libdir}/%{name}.so
%{_libdir}/%{name}.*a
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Sat May 09 2009 travisn000 <traivsn000@gmail.com> 0.4-1pclos2009
+ Rebuild for PCLOS

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.com> 0.4-1mdv2009.1
+ Revision: 329273
- new release 0.4

